package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 账户状态(0,冻结,1,正常;2,注销;)
 */
public enum PlatformCashAccountStatusEnum implements BaseEnum<Integer, PlatformCashAccountStatusEnum> {
	FREEZE(0, "冻结"), NORMAL(1, "正常"), LOGOUT(2, "注销");

	private Integer code;

	private String msg;

	PlatformCashAccountStatusEnum(Integer code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(Integer code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public Integer getCode() {
		return this.code;
	}
}
